﻿* {
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

html, body {
    height: 100%;
    touch-action: manipulation;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}

body {
    margin: 0;
    overflow-x: hidden;
}

.bg-fixed {
    position: fixed;
    inset: 0;
    z-index: -1;

    background: url('/images/18773486_6033546.jpg');
    font-family: 'Consolas LF', arial;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.page-wrapper {
    position: relative;
    z-index: 0;
}

body::-webkit-scrollbar {
    width: 0;
    height: 0;
}

.siteInfo {
    display: flex;
    justify-content: center;
    user-select: none;
    align-items: flex-start;
    width: 100%;
    height: min-content;
    padding: 10px;
    border-radius: 30px;
    margin-top: 55px;
    margin-bottom: 15px;
}

.siteInfo.block_x {
    flex: 1 1 calc(30% - 40px);
    min-width: 250px;
    padding: 20px;
    margin: 20px;
    max-width: 50%;
    transition: transform 0.3s;
}

/* =========================
   ФУЛЛСКРИН-МОДАЛКА (ОБЩАЯ)
   ========================= */

.fullscreen-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: none; /* включается JS-ом */
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(10px);
    z-index: 9999;
}

.fullscreen-modal.is-open {
    display: flex;
}

.fullscreen-image {
    max-height: 98vh;
    max-width: 98vw;
    height: 70%;
    width: auto;
    object-fit: contain;
    border: 1px solid rgb(108, 108, 108);
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.97);
    border-radius: 10px;
    z-index: 5;
}

/* кнопка закрытия */

.fullscreen-close {
    position: absolute;
    top: 20px;
    right: 20px;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: rgba(0, 0, 0, 0.33);
    backdrop-filter: blur(6px);
    border: 1px solid rgba(0, 0, 0, 0.51);
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.97);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 10;
}

.fullscreen-close img {
    width: 20px;
    height: 20px;
}

/* стрелки навигации */

.fullscreen-nav {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: rgba(0, 0, 0, 0.33);
    backdrop-filter: blur(6px);
    border: 1px solid rgba(0, 0, 0, 0.51);
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.97);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 1000;
}

.fullscreen-nav img {
    width: 20px;
    height: 20px;
}

.fullscreen-prev {
    left: 20px;
}

.fullscreen-next {
    right: 20px;
}

/* UPLOAD BUTTON */

